Create a new driver
curl --request POST \
--url https://api.lynkwell.com/identity/v1/drivers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"name": {
"first": "<string>",
"last": "<string>"
},
"preferredLocale": "<string>",
"network": "<string>"
}
'import requests
url = "https://api.lynkwell.com/identity/v1/drivers"
payload = {
"contactDetails": {
"email": "<string>",
"phone": "<string>"
},
"name": {
"first": "<string>",
"last": "<string>"
},
"preferredLocale": "<string>",
"network": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactDetails: {email: '<string>', phone: '<string>'},
name: {first: '<string>', last: '<string>'},
preferredLocale: '<string>',
network: '<string>'
})
};
fetch('https://api.lynkwell.com/identity/v1/drivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"network": "<string>",
"contactDetails": {
"phone": "<string>",
"email": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": {
"first": "<string>",
"last": "<string>"
},
"preferredLocale": "<string>",
"physicalAddress": {
"streetNumber": "<string>",
"streetName": "<string>",
"city": "<string>",
"state": "AL",
"postalCode": "<string>",
"countryCode": "US",
"streetDetails": "<string>"
}
}
}{
"type": "BAD_REQUEST",
"code": "INVALID_REQUEST_PARAMETERS",
"message": "<string>"
}{
"type": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "<string>"
}{
"message": "<string>"
}{
"type": "INTERNAL_ERROR",
"code": "INTERNAL_SERVER_ERROR",
"message": "<string>"
}Driver
Create a new driver
This endpoint creates a new driver
This action is not enabled by default. You must request additional permissions to perform this action.
POST
/
identity
/
v1
/
drivers
Create a new driver
Authorizations
OAuth2 Client Credentials Flow
Body
application/json
At least one of "email" or "phone" is required.
Show child attributes
Show child attributes
The name of the driver
Show child attributes
Show child attributes
A string that is a valid Unicode BCP 47 Locale Identifier.
For example: "fa", "es-MX", "zh-Hant-TW".
Physical address details
Show child attributes
Show child attributes
The network associated with the driver
Response
A new driver has been created.
Show child attributes
Show child attributes